include Makefile.inc
XVID_GENERIC_OBJECTS=$(XVID_GENERIC_SRC:.c=.obj)
XVID_IA32_OBJECTS=$(XVID_IA32_SRC:.asm=.obj)
XVID_LIB=libxvidcore.lib
CC=cl
AS=nasm
AFLAGS=-f win32 -dPREFIX
RM=del
CFLAGS=-DWIN32 -DARCH_IS_IA32 -DARCH_IS_32BIT -c -O2 -Ox -Gs -G6 -MD
#############################################################################
# Makefile rules
#############################################################################
all:$(XVID_LIB)
obj_only:$(XVID_GENERIC_OBJECTS) $(XVID_IA32_OBJECTS)
.asm.obj:
	$(AS) $(AFLAGS) -I$(<D) $< -o $@
.c.obj:
	$(CC) /c $(CFLAGS) -I$(<D) $< /Fo$@
$(XVID_LIB):$(XVID_GENERIC_OBJECTS) $(XVID_IA32_OBJECTS)
	lib $(XVID_GENERIC_OBJECTS) $(XVID_IA32_OBJECTS) /OUT:$(XVID_LIB)
clean:	
	if exist $(XVID_LIB) $(RM) $(XVID_LIB)
	$(RM) $(XVID_GENERIC_OBJECTS) $(XVID_IA32_OBJECTS)
